STOFFTextParser Class Reference documentation

Public Member Functions | Protected Member Functions | List of all members
STOFFTextParser Class Referenceabstract

virtual class which defines the ancestor of all text zone parser More...

`#include <STOFFParser.hxx>`

Inheritance diagram for STOFFTextParser:

## Public Member Functions
virtual void | parse (librevenge::RVNGTextInterface *documentInterface)=0
| virtual function used to parse the input
Public Member Functions inherited from STOFFParser
virtual | ~STOFFParser ()
| virtual destructor
virtual bool | checkHeader (STOFFHeader *header, bool strict=false)=0
| virtual function used to check if the document header is correct (or not)
int | version () const
| returns the works version
STOFFParserStatePtr | getParserState ()
| returns the parser state
STOFFHeader * | getHeader ()
| returns the header
STOFFInputStreamPtr & | getInput ()
| returns the actual input
STOFFPageSpan const & | getPageSpan () const
| returns the actual page dimension
STOFFPageSpan & | getPageSpan ()
| returns the actual page dimension
STOFFGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
STOFFSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
STOFFTextListenerPtr & | getTextListener ()
| returns the text listener
libstoff::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions
| STOFFTextParser (STOFFInputStreamPtr &input, STOFFHeader *header)
| constructor (protected)
| STOFFTextParser (STOFFParserStatePtr &state)
| constructor using a state
| ~STOFFTextParser () override
| destructor
Protected Member Functions inherited from STOFFParser
| STOFFParser (STOFFParserState::Type type, STOFFInputStreamPtr input, STOFFHeader *header)
| constructor (protected)
| STOFFParser (STOFFParserStatePtr &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (STOFFGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the graphic listener
void | setSpreadsheetListener (STOFFSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the spreadsheet listener
void | setTextListener (STOFFTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the text listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Detailed Description

virtual class which defines the ancestor of all text zone parser

## Constructor & Destructor Documentation

## ◆ STOFFTextParser() [1/2]

STOFFTextParser::STOFFTextParser | ( | STOFFInputStreamPtr & | input,
|  | STOFFHeader * | header )
| inlineprotected

constructor (protected)

Referenced by SDWParser::SDWParser(), and SDXParser::SDXParser().

## ◆ STOFFTextParser() [2/2]

STOFFTextParser::STOFFTextParser | ( | STOFFParserStatePtr & | state | ) |
| inlineexplicitprotected

constructor using a state

## ◆ ~STOFFTextParser()

STOFFTextParser::~STOFFTextParser | ( |  | ) |
| overrideprotected

destructor

## Member Function Documentation

## ◆ parse()

virtual void STOFFTextParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| pure virtual

virtual function used to parse the input

Implemented in SDWParser, and SDXParser.

The documentation for this class was generated from the following files:

- STOFFParser.hxx
- STOFFParser.cxx